package models

import (
	"eta_gn/eta_report/global"
	"html"
	"time"
)

const (
	BusinessConfDisclaimer           = "Disclaimer"
	BusinessConfH5ShareName          = "H5ShareName"
	BusinessConfH5ShareEnName        = "H5ShareEnName"
	BusinessConfH5ReportShareImg     = "H5ReportShareImg"
	BusinessConfWatermarkChart       = "WatermarkChart"
	BusinessConfWatermarkReport      = "WatermarkReport"
	BusinessConfWxAppId              = "WxAppId"
	BusinessConfWxAppSecret          = "WxAppSecret"
	BusinessConfReportViewUrl        = "ReportViewUrl"
	BusinessConfReport2ImgUrl        = "Report2ImgUrl"
	BusinessConfReportLogo           = "ReportLogo"           // 报告logo
	BusinessConfReportCenterLogoShow = "ReportCenterLogoShow" // 报告logo
	BusinessConfReportEnLogoShow     = "ReportEnLogoShow"     // 报告logo
	BusinessConfDisclaimerEn         = "DisclaimerEn"         // 英文免责声明
)

// BusinessConf 商户配置表
type BusinessConf struct {
	Id         int    `gorm:"primaryKey;autoIncrement;column:id"`
	ConfKey    string `description:"配置Key"`
	ConfVal    string `description:"配置值"`
	ValType    int    `description:"1-字符串；2-数值；3-字符串数组；4-富文本；"`
	Necessary  int    `description:"是否必填：0-否；1-是"`
	Remark     string `description:"备注"`
	CreateTime time.Time
}

// GetBusinessConf 获取商家配置
func GetBusinessConf() (list map[string]string, err error) {
	list = make(map[string]string)

	// TODO 改写为 gorm 操作达梦数据库
	var items []*BusinessConf
	o := global.DmSQL["eta"]
	sql := `SELECT * FROM business_conf`
	err = o.Raw(sql).Find(&items).Error
	if err != nil {
		return
	}

	for _, v := range items {
		if v.ValType == 4 {
			list[v.ConfKey] = html.UnescapeString(v.ConfVal)
			continue
		}
		list[v.ConfKey] = v.ConfVal
	}
	return

}
