package response

import (
	"eta_gn/eta_report/services/excel"
)

// ExcelTableDetailResp  excel表格详情
type ExcelTableDetailResp struct {
	//ChartInfo   *ChartInfo
	UniqueCode string `description:"表格唯一code"`
	Source     int    `description:"表格来源，1：excel插件的表格，2：自定义表格，默认：1"`
	ExcelType  int    `description:"表格类型，1：指标列，2：日期列，默认：1"`
	ExcelImage string `description:"表格截图"`
	ExcelName  string `description:"表格名称"`
	TableInfo  excel.TableData
	Config     ExcelTableDetailConfigResp
}

// ExcelTableDetailConfigResp
// @Description: Excel表格的配置信息
type ExcelTableDetailConfigResp struct {
	FontSize int
}

// TableCellResp 单元格
type TableCellResp struct {
	DataType  int    `description:"数据类型，1：普通的，2：插值法，3：手动输入，4：公式计算"`
	DataTime  string `description:"所属日期"`
	ShowValue string `description:"展示的值"`
	Value     string `description:"实际值（计算公式）"`
}
