package utils

import "io/fs"

// 常量定义
const (
	FormatTime            = "15:04:05"                //时间格式
	FormatDate            = "2006-01-02"              //日期格式
	FormatDateUnSpace     = "20060102"                //日期格式
	FormatDateTime        = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime     = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"          //完整时间格式
	EmptyDateTimeStr      = "0000-00-00 00:00:00"     //DateTime零值字符串
	EmptyDateStr          = "0000-00-00"              //Date零值字符串
	PageSize15            = 15                        //列表页每页数据量
	PageSize5             = 5
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

const (
	APPNAME = "ETA报告服务"
)
const DIR_MOD fs.FileMode = 0766 // Unix permission bits
// 手机号，电子邮箱正则
const (
	RegularMobile = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularEmail  = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

const CHART_PREFIX = "hz_chart"

// 缓存key
const (
	CACHE_KEY_USER_VIEW = "user_view_record" //用户阅读数据
)

const (
	CACHE_CREATE_REPORT_IMGPDF_QUEUE = "eta_report:report_img_pdf_queue" // 生成报告长图PDF队列
)

// 缓存key
const (
	CACHE_WX_ACCESS_TOKEN_HZ   = "wx:accesstoken:hzyj" //弘则研究公众号 微信accessToken
	HZ_ADMIN_WX_ACCESS_TOEKN   = "hz_admin:wx:access_token:"
	CACHE_WX_ACCESS_TOKEN_CYGX = "xygxxzs_wxtoken" //查研观向小助手公众号 微信accessToken
	ETA_WX_ACCESS_TOEKN        = "eta:wx:access_token:"
)

// 商户号
const (
	BusinessCodeSandbox = "E2023080700" // 试用平台
	BusinessCodeRelease = "E2023080900" // 生产环境
)

const (
	DesKeySalt = "JMCqSoUrTAmyNNIRb0TtlrPk" // DesKey盐值
)

const (
	STORAGESOURCE_OSS_NAME   = "oss"
	STORAGESOURCE_MINIO_NAME = "minio"
	STORAGESOURCE_S3_NAME    = "s3"
)

const (
	ReportTypeDefault     = 1 // 报告类型-默认研报
	ReportTypePPT         = 2 // 报告类型-PPT
	ReportSourceLocal     = 1 // 报告来源-本地
	ReportSourceOuter     = 2 // 报告来源-外部
	ReportAddTypeNew      = 1 // 报告新增方式-新增
	ReportAddTypeInherit  = 2 // 报告新增方式-继承
	ReportWriteTypeSingle = 1 // 报告协作方式-个人
	ReportWriteTypeGroup  = 2 // 报告协作方式-多人
)

// MultiAddNum 批量插入的数据量
const MultiAddNum = 500
